Debian Bug report logs - #383877
kdebluetooth: kbluepin not usuable anymore

version graph

Package: kdebluetooth; Maintainer for kdebluetooth is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>;

Reported by: Hendrik Sattler <debian@hendrik-sattler.de>

Date: Sun, 20 Aug 2006 12:33:41 UTC

Severity: important

Found in versions kdebluetooth/0.99+1.0beta1-12, 3.1

Fixed in version kdebluetooth/0.99+1.0beta2-1

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#383877; Package kdebluetooth. Full text and rfc822 format available.

Acknowledgement sent to Hendrik Sattler <debian@hendrik-sattler.de>:
New Bug report received and forwarded. Copy sent to Michael Meskes <meskes@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hendrik Sattler <debian@hendrik-sattler.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kdebluetooth: kbluepin not usuable anymore
Date: Sun, 20 Aug 2006 14:26:03 +0200
Package: kdebluetooth
Version: 0.99+1.0beta1-12
Severity: important

Hi,

in bluez-3.x, there are not pinhelpers anymore. Instead, this is done with
dbus. This make the whole kdebluetooth a bit strange to use as intuitively, 
only already paired devices are usuable (no pop-up for pairing PIN anymore).

The solution is probably to implement the dbus handling in kbluetooth somehow 
(documentation of dbus and bluez dbus command are somewhat non-present, 
though).

Also see #382771

HS

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17.8-yavin
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages kdebluetooth depends on:
ii  kdelibs4c2a             4:3.5.3-1        core libraries and binaries for 
al
ii  libacl1                 2.2.41-1         Access control list shared 
library
ii  libart-2.0-2            2.3.17-1         Library of functions for 2D 
graphi
ii  libattr1                2.4.32-1         Extended attribute shared library
ii  libaudio2               1.8-1            The Network Audio System (NAS). 
(s
ii  libbluetooth2           3.1-1            Library to use the BlueZ Linux 
Blu
ii  libc6                   2.3.6-15         GNU C Library: Shared libraries
ii  libfam0                 2.7.0-10         Client library to control the FAM 
ii  libfontconfig1          2.3.2-7          generic font configuration 
library
ii  libfreetype6            2.2.1-2          FreeType 2 font engine, shared 
lib
ii  libgcc1                 1:4.1.1-5        GCC support library
ii  libice6                 1:1.0.0-3        X11 Inter-Client Exchange library
ii  libidn11                0.6.5-1          GNU libidn library, 
implementation
ii  libjpeg62               6b-13            The Independent JPEG Group's JPEG 
ii  libopenobex1            1.3-1            OBEX protocol library
ii  libpng12-0              1.2.8rel-5.2     PNG library - runtime
ii  libqt3-mt               3:3.3.6-2        Qt GUI Library (Threaded runtime 
v
ii  libsm6                  1:1.0.0-4        X11 Session Management library
ii  libstdc++6              4.1.1-5          The GNU Standard C++ Library v3
ii  libusb-0.1-4            2:0.1.12-2       userspace USB programming library
ii  libx11-6                2:1.0.0-8        X11 client-side library
ii  libxcursor1             1.1.5.2-5        X cursor management library
ii  libxext6                1:1.0.0-4        X11 miscellaneous extension 
librar
ii  libxft2                 2.1.8.2-8        FreeType-based font drawing 
librar
ii  libxi6                  1:1.0.0-5        X11 Input extension library
ii  libxinerama1            1:1.0.1-4        X11 Xinerama extension library
ii  libxrandr2              2:1.1.0.2-4      X11 RandR extension library
ii  libxrender1             1:0.9.0.2-4      X Rendering Extension client 
libra
ii  libxt6                  1:1.0.0-5        X11 toolkit intrinsics library
ii  qobex                   0.99+1.0beta1-12 Swiss army knife for the OBject 
EX
ii  zlib1g                  1:1.2.3-13       compression library - runtime

kdebluetooth recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#383877; Package kdebluetooth. Full text and rfc822 format available.

Acknowledgement sent to Kiro Zimmer <debian@kironet.de>:
Extra info received and forwarded to list. Copy sent to Michael Meskes <meskes@debian.org>. Full text and rfc822 format available.

Message #10 received at 383877@bugs.debian.org (full text, mbox):

From: Kiro Zimmer <debian@kironet.de>
To: 382771@bugs.debian.org
Cc: 383877@bugs.debian.org
Subject: bluez-utils: temporary solution for d-bus pin helpers
Date: Mon, 9 Oct 2006 21:06:25 +0200
[Message part 1 (text/plain, inline)]
Package: bluez-utils
Version: 3.1
Tags: patch

Hello,

even if bluez-passkey-gnome entered sid yesterday, I think the best 
solution should be a working kdebluetooth/kbluepin framework. The 
appended patch, found at http://www.kmobiletools.org/node/228 should 
solve the problem.  Since there semms to be no better solution bevore 
kde4 hits debian, I think you should apply the patch, so that bluetooth 
is usable in kde again...

just my 2 cents
Kiro
[bluez-pin-exec-patch.diff.bz2 (application/x-bzip2, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Meskes <meskes@debian.org>:
Bug#383877; Package kdebluetooth. Full text and rfc822 format available.

Acknowledgement sent to Luigi Toscano <luigi.toscano@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Michael Meskes <meskes@debian.org>. Full text and rfc822 format available.

Message #15 received at 383877@bugs.debian.org (full text, mbox):

From: Luigi Toscano <luigi.toscano@tiscali.it>
To: 383877@bugs.debian.org
Subject: New version of kdebluetooth
Date: Tue, 24 Oct 2006 00:06:34 +0200
The new version of kdebluetooth (1.0beta2) should solve this issue (see
http://sourceforge.net/project/shownotes.php?group_id=89888&release_id=455943
)

Regards,
-- 
Luigi



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#383877; Package kdebluetooth. Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 383877@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Luigi Toscano <luigi.toscano@tiscali.it>, 383877@bugs.debian.org
Subject: Re: Bug#383877: New version of kdebluetooth
Date: Thu, 2 Nov 2006 17:30:41 +0100
On Tue, Oct 24, 2006 at 12:06:34AM +0200, Luigi Toscano wrote:
> The new version of kdebluetooth (1.0beta2) should solve this issue (see
> http://sourceforge.net/project/shownotes.php?group_id=89888&release_id=455943
> )

Thanks a lot for this information. I didn't notice the new release yet.
However, I wonder what makes you think the bug would be solved. Yes, the
changelog sounds a bit like this, but it seems to be that they are
talking about other problems there as this bug needs some major
rewriting in kdebluetooth or that small patch in bluez-utils.

I will work on this as soon as I find the time.

Michael
-- 
Michael Meskes
Email: Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go SF 49ers! Go Rhein Fire! Use Debian GNU/Linux! Use PostgreSQL!



Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hendrik Sattler <debian@hendrik-sattler.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 383877-close@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 383877-close@bugs.debian.org
Subject: Bug#383877: fixed in kdebluetooth 0.99+1.0beta2-1
Date: Tue, 07 Nov 2006 08:32:39 -0800
Source: kdebluetooth
Source-Version: 0.99+1.0beta2-1

We believe that the bug you reported is fixed in the latest version of
kdebluetooth, which is due to be installed in the Debian FTP archive:

kdebluetooth-irmcsync_0.99+1.0beta2-1_i386.deb
  to pool/main/k/kdebluetooth/kdebluetooth-irmcsync_0.99+1.0beta2-1_i386.deb
kdebluetooth_0.99+1.0beta2-1.diff.gz
  to pool/main/k/kdebluetooth/kdebluetooth_0.99+1.0beta2-1.diff.gz
kdebluetooth_0.99+1.0beta2-1.dsc
  to pool/main/k/kdebluetooth/kdebluetooth_0.99+1.0beta2-1.dsc
kdebluetooth_0.99+1.0beta2-1_i386.deb
  to pool/main/k/kdebluetooth/kdebluetooth_0.99+1.0beta2-1_i386.deb
kdebluetooth_0.99+1.0beta2.orig.tar.gz
  to pool/main/k/kdebluetooth/kdebluetooth_0.99+1.0beta2.orig.tar.gz
qobex_0.99+1.0beta2-1_i386.deb
  to pool/main/k/kdebluetooth/qobex_0.99+1.0beta2-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 383877@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Meskes <meskes@debian.org> (supplier of updated kdebluetooth package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  7 Nov 2006 16:19:58 +0100
Source: kdebluetooth
Binary: kdebluetooth-irmcsync qobex kdebluetooth
Architecture: source i386
Version: 0.99+1.0beta2-1
Distribution: unstable
Urgency: low
Maintainer: Michael Meskes <meskes@debian.org>
Changed-By: Michael Meskes <meskes@debian.org>
Description: 
 kdebluetooth - KDE Bluetooth Framework
 kdebluetooth-irmcsync - IrMCSync Konnector for kitchensync
 qobex      - Swiss army knife for the OBject EXchange (obex) protocol
Closes: 383877
Changes: 
 kdebluetooth (0.99+1.0beta2-1) unstable; urgency=low
 .
   * New upstream version that fixes kbluepin.
   * Added missing docs from beta1.
   * Added patched passkey-agent and a wrapper around kbluetoothd that starts
     passkey-agent, closes: #383877
Files: 
 7293c18a086ca6bbed04ab1710b28b20 748 kde optional kdebluetooth_0.99+1.0beta2-1.dsc
 28e23eec25ed798fbf5d9a9afa4ba9ca 2190889 kde optional kdebluetooth_0.99+1.0beta2.orig.tar.gz
 876738d94ab9671bed4be897d89c9dee 179536 kde optional kdebluetooth_0.99+1.0beta2-1.diff.gz
 e4f196659cda59d95414dfed173a0476 1182356 kde optional kdebluetooth_0.99+1.0beta2-1_i386.deb
 29ee45fdce4091a37737371567a08504 142090 net optional qobex_0.99+1.0beta2-1_i386.deb
 20e5025c70efd3d47bd8af2991fc3a99 59382 kde optional kdebluetooth-irmcsync_0.99+1.0beta2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFULFGVkEm8inxm9ERAtVAAJ4/ZKAtWlg507RvL3zxQOWJdgxn4wCfUbCf
ooNhi+ksiuhm/3copylJNt8=
=ddJJ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 16:03:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:40:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.